[arch-commits] Commit in happy/trunk (PKGBUILD)

Vesa Kaihlavirta vesa at archlinux.org
Mon Aug 23 14:41:57 EDT 2010


    Date: Monday, August 23, 2010 @ 14:41:57
  Author: vesa
Revision: 88454

upstream upgrade

Modified:
  happy/trunk/PKGBUILD

----------+
 PKGBUILD |   12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-08-23 18:40:00 UTC (rev 88453)
+++ PKGBUILD	2010-08-23 18:41:57 UTC (rev 88454)
@@ -3,8 +3,8 @@
 # Contributor: Vesa Kaihlavirta <vegai at iki.fi>
  
 pkgname=happy
-pkgver=1.18.4
-pkgrel=2
+pkgver=1.18.5
+pkgrel=1
 pkgdesc="The Parser Generator for Haskell"
 url="http://www.haskell.org/happy/"
 arch=('i686' 'x86_64')
@@ -13,15 +13,15 @@
 makedepends=(ghc haskell-mtl)
 options=(strip)
 source=(http://hackage.haskell.org/packages/archive/$pkgname/$pkgver/$pkgname-$pkgver.tar.gz)
-md5sums=('614e3ef9623dbeefc4c8ca699912efb4')
 
 
 build() {
   cd $startdir/src/${pkgname}-${pkgver}
 
-  ./Setup.lhs configure --prefix=/usr || return 1
-  ./Setup.lhs build || return 1
-  ./Setup.lhs copy --destdir=$startdir/pkg || return 1
+  runhaskell Setup.lhs configure --prefix=/usr || return 1
+  runhaskell Setup.lhs build || return 1
+  runhaskell Setup.lhs copy --destdir=$startdir/pkg || return 1
 
   install -D -m644 LICENSE $startdir/pkg/usr/share/licenses/$pkgname/LICENSE
 }
+md5sums=('9e77b67df7b6a4d7273383cc890f39e8')



More information about the arch-commits mailing list